Package org.optaplanner.persistence.jackson.api.score.buildin.hardsoftbigdecimal

## Class HardSoftBigDecimalScoreJacksonSerializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonSerializer<Score_>
  - - org.optaplanner.persistence.jackson.api.score.AbstractScoreJacksonSerializer<HardSoftBigDecimalScore>
    - - org.optaplanner.persistence.jackson.api.score.buildin.hardsoftbigdecimal.HardSoftBigDecimalScoreJacksonSerializer

- All Implemented Interfaces:
    `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable`, `com.fasterxml.jackson.databind.ser.ContextualSerializer`

      public class HardSoftBigDecimalScoreJacksonSerializer
      extends AbstractScoreJacksonSerializer<HardSoftBigDecimalScore>

  Jackson binding support for a `Score` subtype. For a `Score` field, use `PolymorphicScoreJacksonSerializer` instead, so the score type is recorded too and it can be deserialized.

  For example: use `@JsonSerialize(using = HardSoftScoreJacksonSerializer.class) @JsonDeserialize(using = HardSoftScoreJacksonDeserializer.class)` on a `HardSoftScore score` field and it will marshalled to JSON as `"score":"-999hard/-999soft"`. Or better yet, use `OptaPlannerJacksonModule` instead.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `com.fasterxml.jackson.databind.JsonSerializer.None`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HardSoftBigDecimalScoreJacksonSerializer()` |

  - ### Method Summary

    - ### Methods inherited from class org.optaplanner.persistence.jackson.api.score.AbstractScoreJacksonSerializer

      `createContextual, serialize`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `acceptJsonFormatVisitor, getDelegatee, handledType, isEmpty, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, serializeWithType, unwrappingSerializer, usesObjectId, withFilterId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HardSoftBigDecimalScoreJacksonSerializer

          public HardSoftBigDecimalScoreJacksonSerializer()